Day Master
POST /bazi/day-master
POST
/bazi/day-master
Day stem element + yin/yang polarity + canonical archetype description. The “self” character in BaZi from which all other pillars are interpreted.
Authorizations
Section titled “Authorizations ”Code Samples
Section titled “ Code Samples ”curl -X POST https://api.astroway.info/v1/bazi/day-master \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3 }'const res = await fetch('https://api.astroway.info/v1/bazi/day-master', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3 }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/bazi/day-master', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'date': "1990-05-15", 'time': "14:30:00", 'timezoneOffset': 3 },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('bazi/day-master', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'date' => '1990-05-15', 'time' => '14:30:00', 'timezoneOffset' => 3, ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Request Body required
Section titled “Request Body required ”object
Example
{ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
dayMaster
object
stem
string
element
string
yin
boolean
polarityName
string
dayPillar
object
interpretation
object
summary
string
archetype
string
Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.